Generation Framework

## org.eclipse.gmf.gmfgraph
Interface PolylineConnection

All Superinterfaces:
  ConnectionFigure, EObject, Figure, FigureHandle, FigureMarker, Identity, Layoutable, Notifier, Polyline, Shape

All Known Implementing Classes:
  PolylineConnectionImpl

public interface PolylineConnection
extends Polyline, ConnectionFigure

A representation of the model object 'Polyline Connection'. org.eclipse.draw2d.PolylineConnection

The following features are supported:

- `Source Decoration`
- `Target Decoration`

See Also:
  `GMFGraphPackage.getPolylineConnection()`
** Generated **
Model:

Method Summary
`DecorationFigure` `getSourceDecoration()` Returns the value of the 'Source Decoration' reference
`DecorationFigure` `getTargetDecoration()` Returns the value of the 'Target Decoration' reference
`void` `setSourceDecoration(DecorationFigure value)` Sets the value of the '`Source Decoration`' reference
`void` `setTargetDecoration(DecorationFigure value)` Sets the value of the '`Target Decoration`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Polyline
`getTemplate`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Shape
`getLineKind, getLineWidth, getResolvedChildren, isFill, isOutline, isXorFill, isXorOutline, setFill, setLineKind, setLineWidth, setOutline, setXorFill, setXorOutline`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getChildren, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.FigureMarker
`getParent`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.gmfgraph.FigureHandle
`getReferencingElements`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Method Detail

### getSourceDecoration

    public DecorationFigure getSourceDecoration()

  Returns the value of the 'Source Decoration' reference.

  If the meaning of the 'Source Decoration' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Decoration' reference.
  See Also:
    `PolylineConnection.setSourceDecoration(DecorationFigure)`, `GMFGraphPackage.getPolylineConnection_SourceDecoration()`
  ** Generated **
  Model:

### setSourceDecoration

    public void setSourceDecoration(DecorationFigure value)

  Sets the value of the '`Source Decoration`' reference.

  Parameters:
    `value` - the new value of the 'Source Decoration' reference.
  See Also:
    `PolylineConnection.getSourceDecoration()`
  ** Generated **

### getTargetDecoration

    public DecorationFigure getTargetDecoration()

  Returns the value of the 'Target Decoration' reference.

  If the meaning of the 'Target Decoration' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target Decoration' reference.
  See Also:
    `PolylineConnection.setTargetDecoration(DecorationFigure)`, `GMFGraphPackage.getPolylineConnection_TargetDecoration()`
  ** Generated **
  Model:

### setTargetDecoration

    public void setTargetDecoration(DecorationFigure value)

  Sets the value of the '`Target Decoration`' reference.

  Parameters:
    `value` - the new value of the 'Target Decoration' reference.
  See Also:
    `PolylineConnection.getTargetDecoration()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.